Bug 734263 - X issue: virtual display dead space w/ monitors running @ different resolutions
Summary: X issue: virtual display dead space w/ monitors running @ different resolutions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: metacity
Version: 6.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Owen Taylor
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 782183 727267
TreeView+ depends on / blocked
 
Reported: 2011-08-29 22:48 UTC by Scott Spurrier
Modified: 2018-11-26 18:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-15 21:48:12 UTC


Attachments (Terms of Use)

Description Scott Spurrier 2011-08-29 22:48:20 UTC
Here's the description of the hardware setup, the issues experienced and the test cases.

Harwdware setup:

Dual monitor setup with 30" LCD display (resolution: 250x1600) and Cintiq-21UX 21" display (resolution: 1600x1200)configured in xinerama with twin-view enabled configured either with the 30" above the Cintiq or the Cintiq to the right-of or left-of the 30"

 * The Cintiq is connected as the primary display

Issues:
- Since the virtual desktop is 2560x2800 pixels, a dead-zone is created which is 1200x960 pixels (when the 30" is above the cintiq) and 1600x400 pixels (when the 30" is to the left or right
 of the cintiq). The windows manager or a user can lose a window in this region, since the window manager is not constrained to the visible display area.
 This also makes tracking an issue when using a Cintiq pen for application which need the window manager to pass it coordinate information and becomes
  worse when pressure sensitivity data is also sent to the Cintiq.

Test cases:
- configure xorg.conf as included in the attached xorg file.
- open multiple windows (with width smaller than the deadspace i.e.: width less that 480 pixels, hight less than 400 pixels) until all the visible desktop area is filled. Windows shouldn't vanish into the deadspace
- open single window on the 30" display. Resize to 400x400 pixels or smaller, drag it to the right edge of the 30" and using the mouse drag the windows straight down.
 The windows shouldn't go into the deadspace
- On the cintiq, open a window of 400x400 pixels, drag it to the right edge using the mouse, drag it up until it gets to the 30", the window should warp and follow the bottom edge of the 30" where the deadzone overlap is.

Comment 5 RHEL Product and Program Management 2011-08-29 23:08:07 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 10 RHEL Product and Program Management 2012-07-10 06:28:09 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 11 RHEL Product and Program Management 2012-07-11 00:00:30 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.


Note You need to log in before you can comment on or make changes to this bug.